services:
  flarum:
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:8000"
    volumes:
      - ./data:/data
    environment:
      - TZ=Asia/Shanghai
      - PUID=1000
      - PGID=1000
      - MEMORY_LIMIT=256M
      - UPLOAD_MAX_SIZE=256M
      - CLEAR_ENV=yes
      - OPCACHE_MEM_SIZE=128M
      - LISTEN_IPV6=true
      - REAL_IP_FROM=0.0.0.0/32
      - DB_HOST=${PANEL_DB_HOST}
      - DB_PORT=${PANEL_DB_PORT}
      - DB_NAME=${PANEL_DB_NAME}
      - DB_USER=${PANEL_DB_USER}
      - DB_PASSWORD=${PANEL_DB_USER_PASSWORD}
      - DB_PREFIX=${PANEL_DB_PREFIX}
      - DB_NOPREFIX=false
      - DB_TIMEOUT=60
      - FLARUM_BASE_URL=${FLARUM_EXTERNAL_URL}
    image: crazymax/flarum:1.8.10
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
